JUCE: BlocksProtocol::BlockSerialNumber Struct Reference

JUCE

Public Member Functions | List of all members
BlocksProtocol::BlockSerialNumber Struct Reference

Structure describing a block's serial number. More...

Inheritance diagram for BlocksProtocol::BlockSerialNumber:

## Public Member Functions
bool | isValid () const noexcept
bool | isPadBlock () const noexcept
bool | isLiveBlock () const noexcept
bool | isLoopBlock () const noexcept
bool | isDevCtrlBlock () const noexcept
bool | isTouchBlock () const noexcept
bool | isSeaboardBlock () const noexcept
bool | isLumiKeysBlock () const noexcept
bool | isAnyControlBlock () const noexcept
bool | hasPrefix (const char *prefix) const noexcept
Public Member Functions inherited from BlocksProtocol::BlockStringData< 16 >
bool | isNotEmpty () const
String | asString () const
bool | operator== (const BlockStringData &other) const
bool | operator!= (const BlockStringData &other) const

## Additional Inherited Members
Public Attributes inherited from BlocksProtocol::BlockStringData< 16 >
uint8 | data [MaxSize]
uint8 | length
Static Public Attributes inherited from BlocksProtocol::BlockStringData< 16 >
static const size_t | maxLength

## Detailed Description

Structure describing a block's serial number.

## Member Function Documentation

## ◆ isValid()

bool BlocksProtocol::BlockSerialNumber::isValid | ( |  | ) | const
| noexcept

References BlocksProtocol::BlockStringData< 16 >::data, isAnyControlBlock(), isLumiKeysBlock(), isPadBlock(), and isSeaboardBlock().

## ◆ isPadBlock()

bool BlocksProtocol::BlockSerialNumber::isPadBlock | ( |  | ) | const
| noexcept

References hasPrefix().

Referenced by isValid().

## ◆ isLiveBlock()

bool BlocksProtocol::BlockSerialNumber::isLiveBlock | ( |  | ) | const
| noexcept

References hasPrefix().

Referenced by isAnyControlBlock().

## ◆ isLoopBlock()

bool BlocksProtocol::BlockSerialNumber::isLoopBlock | ( |  | ) | const
| noexcept

References hasPrefix().

Referenced by isAnyControlBlock().

## ◆ isDevCtrlBlock()

bool BlocksProtocol::BlockSerialNumber::isDevCtrlBlock | ( |  | ) | const
| noexcept

References hasPrefix().

Referenced by isAnyControlBlock().

## ◆ isTouchBlock()

bool BlocksProtocol::BlockSerialNumber::isTouchBlock | ( |  | ) | const
| noexcept

References hasPrefix().

Referenced by isAnyControlBlock().

## ◆ isSeaboardBlock()

bool BlocksProtocol::BlockSerialNumber::isSeaboardBlock | ( |  | ) | const
| noexcept

References hasPrefix().

Referenced by isValid().

## ◆ isLumiKeysBlock()

bool BlocksProtocol::BlockSerialNumber::isLumiKeysBlock | ( |  | ) | const
| noexcept

References hasPrefix().

Referenced by isValid().

## ◆ isAnyControlBlock()

bool BlocksProtocol::BlockSerialNumber::isAnyControlBlock | ( |  | ) | const
| noexcept

References isDevCtrlBlock(), isLiveBlock(), isLoopBlock(), and isTouchBlock().

Referenced by isValid().

## ◆ hasPrefix()

bool BlocksProtocol::BlockSerialNumber::hasPrefix | ( | const char * | prefix | ) | const
| noexcept

References BlocksProtocol::BlockStringData< 16 >::data.

Referenced by isDevCtrlBlock(), isLiveBlock(), isLoopBlock(), isLumiKeysBlock(), isPadBlock(), isSeaboardBlock(), and isTouchBlock().

The documentation for this struct was generated from the following file:

- juce_BlocksProtocolDefinitions.h